<?php
/**
 * Copyright © Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */

/** @var \Magento\Store\Block\Switcher $block */
$objectManager = \Magento\Framework\App\ObjectManager::getInstance();
$storeManager = $objectManager->get('\Magento\Store\Model\StoreManagerInterface');
$surl = $storeManager->getStore()->getBaseUrl(\Magento\Framework\UrlInterface::URL_TYPE_MEDIA);

?>
<?php if (count($block->getGroups())>1) : ?>
<div class="dropdown dropdown-switcher language switcher-language" id="switcher-store">    
    <div class="actions dropdown options switcher-options">
        <?php foreach ($block->getGroups() as $_group) : ?>
            <?php if ($_group->getId() == $block->getCurrentGroupId()) : ?>
                <div class="action toggle switcher-trigger"
                     role="button"
                     tabindex="0"
                     data-mage-init='{"dropdown":{}}'
                     data-toggle="dropdown"
                     data-trigger-keypress-button="true"
                     id="switcher-store-trigger">
                    <strong>
                        <span><?php if($_group->getName() == 'United States'){ ?>
                            <img src="<?php echo $surl; ?>alogic/US.jpg" style="width:16px;"/>
                        <?php } else if ($_group->getName() == 'Australia') {?>
                            <?php echo $_group->getCode(); ?><img src="<?php echo $surl; ?>alogic/aus.png" style="width:16px;"/>
                        <?php } else if ($_group->getName() == 'India') {?>
                            <img src="<?php echo $surl; ?>alogic/in.png" style="width:16px;"/>
                        <?php } else if ($_group->getName() == 'New Zealand') {?>
                            <img src="<?php echo $surl; ?>alogic/nz.png" style="width:16px;"/>
                        <?php } else if ($_group->getName() == 'France') {?>
                            <img src="<?php echo $surl; ?>alogic/france.jpg" style="width:16px;"/>
                        <?php } else if ($_group->getName() == 'Germany') {?>
                            <img src="<?php echo $surl; ?>alogic/germany-new.jpg" style="width:16px;"/>
                        <?php } else if ($_group->getName() == 'Singapore') {?>
                            <img src="<?php echo $surl; ?>alogic/SGP.jpg" style="width:16px;"/>
                        <?php } else if ($_group->getName() == 'United Kingdom') {?>
                            <img src="<?php echo $surl; ?>alogic/UK.png" style="width:16px;"/>
            <?php } else if ($_group->getName() == 'Sweden') {?>
                            <img src="<?php echo $surl; ?>alogic/swed.png" style="width:16px;"/>
            <?php } else if ($_group->getName() == 'Denmark') {?>
                            <img src="<?php echo $surl; ?>alogic/den.png" style="width:16px;"/>
            <?php } else if ($_group->getName() == 'Norway') {?>
                            <img src="<?php echo $surl; ?>alogic/norw.png" style="width:16px;"/>
            <?php } else if ($_group->getName() == 'Finland') {?>
                            <img src="<?php echo $surl; ?>alogic/fin.png" style="width:16px;"/>
            <?php } else if ($_group->getName() == 'Iceland') {?>
                            <img src="<?php echo $surl; ?>alogic/ice.png" style="width:16px;"/>
            <?php } else if ($_group->getName() == 'Poland') {?>
                           <img src="<?php echo $surl; ?>alogic/pol.png" style="width:16px;"/>
                        <?php } else if ($_group->getName() == 'Hong Kong') {?>
                            <img src="<?php echo $surl; ?>alogic/Hongkong.jpg" style="width:16px;"/>
            <?php } else if ($_group->getName() == 'Ireland') {?>
                            <img src="<?php echo $surl; ?>alogic/ireland.jpg" style="width:16px;"/>
                        <?php }  else  { ?>
                            <img src="<?php echo $surl; ?>alogic/us.ico" style="width:16px;"/>
                        <?php } ?>                        
                        <span><?= $block->escapeHtml($_group->getName()) ?></span>
                    </strong>
                </div>
            <?php endif; ?>
        <?php endforeach; ?>
        <ul class="dropdown-menu" data-target="dropdown">
            <?php foreach ($block->getGroups() as $_group) : ?>
                <?php if (!($_group->getId() == $block->getCurrentGroupId())) : ?>
                    <li class="switcher-option">

                           
                        <a href="#" data-post='<?= /* @noEscape */ $block->getTargetStorePostData($_group->getDefaultStore()) ?>'>
                            <?php if($_group->getName() == 'United States'){ ?>
                                    <img src="<?php echo $surl; ?>alogic/us.ico" style="width:16px;"/>
                                <?php } else if ($_group->getName() == 'Australia') {?>
                                   <?php echo $_group->getCode(); ?> <img src="<?php echo $surl; ?>alogic/aus.png" style="width:16px;"/>
                                <?php } else if ($_group->getName() == 'India') {?>
                                    <img src="<?php echo $surl; ?>alogic/in.png" style="width:16px;"/>
                                <?php } else if ($_group->getName() == 'New Zealand') {?>
                                    <img src="<?php echo $surl; ?>alogic/nz.png" style="width:16px;"/>
                                <?php } else if ($_group->getName() == 'France') {?>
                                    <img src="<?php echo $surl; ?>alogic/france.jpg" style="width:16px;"/>
                                <?php } else if ($_group->getName() == 'Germany') {?>
                                    <img src="<?php echo $surl; ?>alogic/germany-new.jpg" style="width:16px;"/>
                                <?php } else if ($_group->getName() == 'Singapore') {?>
                                    <img src="<?php echo $surl; ?>alogic/SGP.jpg" style="width:16px;"/>
                <?php } else if ($_group->getName() == 'Sweden') {?>
                                    <img src="<?php echo $surl; ?>alogic/swed.png" style="width:16px;"/>
                <?php } else if ($_group->getName() == 'Denmark') {?>
                                <img src="<?php echo $surl; ?>alogic/den.png" style="width:16px;"/>
                <?php } else if ($_group->getName() == 'Norway') {?>
                                <img src="<?php echo $surl; ?>alogic/norw.png" style="width:16px;"/>
                <?php } else if ($_group->getName() == 'Finland') {?>
                                <img src="<?php echo $surl; ?>alogic/fin.png" style="width:16px;"/>
                <?php } else if ($_group->getName() == 'Iceland') {?>
                                <img src="<?php echo $surl; ?>alogic/ice.png" style="width:16px;"/>
                <?php } else if ($_group->getName() == 'Poland') {?>
                                <img src="<?php echo $surl; ?>alogic/pol.png" style="width:16px;"/>
                                <?php } else if ($_group->getName() == 'United Kingdom') {?>
                                    <img src="<?php echo $surl; ?>alogic/UK.png" style="width:16px;"/>
                                <?php } else if ($_group->getName() == 'Hong Kong') {?>
                                    <img src="<?php echo $surl; ?>alogic/Hongkong.jpg" style="width:16px;"/>
                                <?php } else if ($_group->getName() == 'Ireland') {?>
                                    <img src="<?php echo $surl; ?>alogic/ireland.jpg" style="width:16px;"/>
                                <?php }  else  { ?>

                                    <img src="<?php echo $surl; ?>alogic/us.ico" style="width:16px;"/>
                                <?php } ?>
                            <?= $block->escapeHtml($_group->getName()) ?>
                        </a>
                    </li>
                <?php endif; ?>
            <?php endforeach; ?>
        </ul>
    </div>
</div>
<?php endif; ?>